org.apache.bcel.generic

## Class ReturnaddressType

- java.lang.Object
- - org.apache.bcel.generic.Type
  - - org.apache.bcel.generic.ReturnaddressType

-     public class ReturnaddressType
      extends Type

  Returnaddress, the type JSR or JSR_W instructions push upon the stack. see vmspec2 ï¿½3.3.3
  Version:
    $Id: ReturnaddressType.java 1806200 2017-08-25 16:33:06Z ggregory $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ReturnaddressType` | `NO_TARGET`

    - ### Fields inherited from class org.apache.bcel.generic.Type

      `BOOLEAN, BYTE, CHAR, CLASS, DOUBLE, FLOAT, INT, LONG, NO_ARGS, NULL, OBJECT, SHORT, signature, STRING, STRINGBUFFER, THROWABLE, type, UNKNOWN, VOID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReturnaddressType(InstructionHandle returnTarget)` Creates a ReturnaddressType object with a target.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object rat)` Returns if the two Returnaddresses refer to the same target.
    `InstructionHandle` | `getTarget()`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.bcel.generic.Type

      `getArgumentTypes, getMethodSignature, getReturnType, getSignature, getSignature, getSize, getType, getType, getType, getTypes, normalizeForStackOrLocal, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NO_TARGET

          public static final ReturnaddressType NO_TARGET

  - ### Constructor Detail

    - #### ReturnaddressType

          public ReturnaddressType(InstructionHandle returnTarget)

      Creates a ReturnaddressType object with a target.

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Type`
      Returns:
        a hash code value for the object.

    - #### equals

          public boolean equals(Object rat)

      Returns if the two Returnaddresses refer to the same target.
      Overrides:
        `equals` in class `Type`
      Returns:
        whether the Types are equal

    - #### getTarget

          public InstructionHandle getTarget()

      Returns:
        the target of this ReturnaddressType

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.